Support lifecycle for connected components

To simplify upgrades, older versions of Defenders, Jenkins plugins, and twistcli can interoperate with newer versions of Console. With this capability, you have a larger window to plan upgrades for connected components.

Window of support

Any supported version of Defender, twistcli, and the Jenkins plugin can connect to Console. Prisma Cloud supports the latest release and the previous two releases (n, n-1, and n-2).
There are some exceptions to this policy as we roll out this new capability.
For Defenders:
  • 21.08 supports n and n-1 (21.04) only.
  • Starting with the next release (Joule), there will be full support for n, n-1, and n-2.
For twistcli and the Jenkins plugin:
  • 21.08 supports itself (n) only.
  • In the next release (Joule), Console will support n and n-1.
  • In release after Joule (Kepler), Console will support n, n-1, n-2.
For example, if Console runs version 21.12, it will support Defenders, twistcli, and the Jenkins plugin running either version 21.08 or 21.04:
Defender’s connection status on the Defender management page indicates how it interoperates with Console. Defenders that match Console’s version show the status of Connected. Defenders still supported, but running a previous version, show the connected status with a message that upgrade is available (but not mandatory).
Twistcli and the Jenkins plugin function as normal, with an indictor that an upgrade is available shown in the scan reports in the Console web UI.

End of support

Once a version is no longer supported, any Defenders based on that version must be upgraded (mandatory). For example, if Console runs 22.04, it will support Defenders running either 21.12 or 21.08, but will no longer support Defenders running on 21.04.
Defenders which are no longer within the support lifecycle will not be able to connect to the Console. That state will be reflected on the Defender management page, with a status of
Disconnected
and an associated message that upgrade is required:
Versions of twistcli and Jenkins plugin outside of the support lifecycle fail open. Their requests to Console will be refused, but builds will pass. Console returns a status of 400 Bad Request, which indicates an error due to the fact that the plugin version is no longer supported.

Recommended For You